> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# App Store 应用竞品实时数据

> 此端点将提供与目标应用在 App Store 排名关键词上存在交集的移动应用列表。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/apple/app_competitors/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/apple/app_competitors/live:
    post:
      summary: App Store 应用竞品实时数据
      description: >-
        此端点将提供一个移动应用列表，这些应用与目标应用在 App Store 排名关键词方面存在交集。您将获得竞争对手应用的
        ID，以及竞争对手排名关键词的搜索量和排名数据。
      operationId: post_dataforseo_dataforseo_labs_apple_app_competitors_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                app_id:
                  type: string
                  description: >-
                    应用 id，必填字段。App Store 中移动应用的 ID；可在 App Store 所列每个应用的 URL 中找到该
                    ID；示例：在 URL https://apps.apple.com/us/app/id835599320 中，id 为
                    835599320
                location_name:
                  type: string
                  description: >-
                    位置的完整名称。如果未指定 location_code，则为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取包含 location_name 的可用位置列表。注意：此端点目前仅支持美国位置。示例：United
                    States
                location_code:
                  type: integer
                  description: >-
                    位置代码。如果未指定 location_name，则为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 location_code 的可用位置列表；注意：此端点目前仅支持美国位置；示例：2840
                language_name:
                  type: string
                  description: >-
                    语言的完整名称。如果未指定 language_code，则此字段为必填字段。注意：必须指定 language_name
                    或 language_code 之一。可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发出请求，获取包含 language_name 的可用语言列表；注意：此端点目前仅支持英语；示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码。如果未指定 language_name，则为必填字段。注意：必须指定 language_name 或
                    language_code 之一。您可以通过单独请求
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages，获取可用语言及其
                    language_code 的列表；注意：此端点目前仅支持英语。示例：en
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果筛选参数数组。可选字段。你可以同时添加多个筛选条件（最多 8 个）。应在条件之间设置逻辑运算符
                    and、or。支持以下运算符： 、 、>、>=、=、
                    、in、not_in。示例：["intersections",">",500]
                    [["competitor_metrics.app_store_search_organic.pos_1","",10],"and",["avg_position",">=","10"]]
                    [[["intersections",">=",50],"and",["competitor_metrics.app_store_search_organic.pos_1","in",[1,5]]],
                    "or", ["sum_position",">=","10000"]]。有关筛选条件的更多信息，请参阅
                    Dataforseo Labs – Filters 或此帮助中心指南。
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则，可选字段；您可以使用与 filters 数组中相同的值对结果进行排序；可用的排序类型：asc –
                    结果将按升序排列；desc –
                    结果将按降序排列；应使用逗号指定排序类型；示例：["intersections,asc"]
                    注意：单个请求中最多可以设置三条排序规则；应使用逗号分隔多条排序规则；示例：["intersections,desc","sum_position,asc"]
                    默认规则：["intersections,desc"] 注意：如果 item_types 数组包含不同于 organic
                    的项目类型，结果将按数组中的第一个项目类型排序
                limit:
                  type: integer
                  description: 返回应用的最大数量，可选字段，默认值：100，最大值：1000
                offset:
                  type: integer
                  description: >-
                    返回应用的 results 数组中的偏移量。可选字段，默认值：0。如果指定值 10，results
                    数组中的前十个应用将被省略，并提供后续应用的数据
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - app_id
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.app_id:
                    type: string
                    description: POST 数组中的应用 id
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含与 app_id 和竞品应用相关的数据
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.app_id:
                    type: string
                    description: 竞品应用的 id
                  tasks.result.items.avg_position:
                    type: number
                    description: >-
                      应用在 App Store SERP
                      中的平均排名；注意：平均排名仅根据交集关键词计算；同一应用与不同目标应用组合时，该值可能有所不同
                  tasks.result.items.sum_position:
                    type: integer
                    description: >-
                      应用在 App Store SERP
                      中所有排名的总和；注意：排名总和仅根据交集关键词计算；同一应用与不同目标应用组合时，该值可能有所不同
                  tasks.result.items.intersections:
                    type: integer
                    description: 相交关键词的数量
                  tasks.result.items.competitor_metrics:
                    type: object
                    description: >-
                      相交关键词的排名指标；与 POST
                      请求中所提供竞争对手应用和该应用共有的关键词相关的排名数据。注意：在此数组中，排名数据针对返回的竞争对手的
                      app_id 提供。
                  tasks.result.items.competitor_metrics.app_store_search_organic:
                    type: object
                    description: 来自 App Store 自然搜索的排名数据
                  tasks.result.items.competitor_metrics.app_store_search_organic.pos_1:
                    type: integer
                    description: 竞争对手应用在自然搜索结果中排名第 1 位的 SERP 数量
                  tasks.result.items.competitor_metrics.app_store_search_organic.pos_2_3:
                    type: integer
                    description: 竞争对手应用在自然搜索结果中排名第 2-3 位的 SERP 数量
                  tasks.result.items.competitor_metrics.app_store_search_organic.pos_4_10:
                    type: integer
                    description: 竞争对手应用在自然搜索结果中排名第 4-10 位的 SERP 数量
                  tasks.result.items.competitor_metrics.app_store_search_organic.pos_11_100:
                    type: integer
                    description: 竞争对手应用在自然搜索结果中排名第 11-100 位的 SERP 数量
                  tasks.result.items.competitor_metrics.app_store_search_organic.count:
                    type: integer
                    description: 包含竞争对手应用的自然搜索 SERP 总数
                  tasks.result.items.competitor_metrics.app_store_search_organic.search_volume:
                    type: integer
                    description: App Store 自然搜索 SERP 中交集关键词的总搜索量
                  tasks.result.items.full_metrics:
                    type: object
                    description: 应用所有关键词的指标；全面概述所提供 app_id 参与排名的所有关键词的相关排名数据。
                  tasks.result.items.full_metrics.app_store_search_organic:
                    type: object
                    description: 来自 App Store 自然搜索的排名数据
                  tasks.result.items.full_metrics.app_store_search_organic.pos_1:
                    type: integer
                    description: 竞争对手应用在自然搜索结果中排名第 1 位的 SERP 数量
                  tasks.result.items.full_metrics.app_store_search_organic.pos_2_3:
                    type: integer
                    description: 竞争对手应用在自然搜索结果中排名第 2-3 位的 SERP 数量
                  tasks.result.items.full_metrics.app_store_search_organic.pos_4_10:
                    type: integer
                    description: 竞争对手应用在自然搜索结果中排名第 4-10 位的 SERP 数量
                  tasks.result.items.full_metrics.app_store_search_organic.pos_11_100:
                    type: integer
                    description: 竞争对手应用在自然搜索结果中排名第 11-100 位的 SERP 数量
                  tasks.result.items.full_metrics.app_store_search_organic.count:
                    type: integer
                    description: 包含竞争对手应用的自然搜索 SERP 总数
                  tasks.result.items.full_metrics.app_store_search_organic.search_volume:
                    type: integer
                    description: 应用在 App Store 自然搜索结果页中排名关键词的总搜索量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````